//
//  TSCharacterCreationViewController.h
//  TravelSection
//
//  Created by Michael Herring on 12/16/11.
//  Copyright (c) 2011 Sun, Sea and Sky Factory. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface TSCharacterCreationViewController : UIViewController <UITextFieldDelegate> {
    CGFloat intelligenceLock;
    CGFloat technologyLock;
    CGFloat creativityLock;
}
@property (weak, nonatomic) IBOutlet UISlider *technologySlider;
@property (weak, nonatomic) IBOutlet UISlider *creativitySlider;
@property (weak, nonatomic) IBOutlet UISlider *intelligenceSlider;
@property (weak, nonatomic) IBOutlet UIStepper *hairColorStepper;
@property (weak, nonatomic) IBOutlet UIImageView *characterView;
@property (weak, nonatomic) IBOutlet UISegmentedControl *genderSelector;
@property (weak, nonatomic) IBOutlet UIProgressView *totalPoints;
- (IBAction)updateStats:(id)sender;
- (IBAction)updateAppearance:(id)sender;


@end
