//
//  TSContinentalJourney.m
//  TravelSection
//
//  Created by Michael Herring on 12/17/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "TSContinentalJourney.h"

@implementation TSContinentalJourney

@synthesize moneyMakingActivities = _moneyMakingActivities;
@synthesize culturalActivities = _culturalActivities;
@synthesize comboActivities = _comboActivities;
@synthesize startingCity = _startingCity;
@synthesize destinationCity = _destinationCity;
@synthesize cityConnections = _cityConnections;
@synthesize region = _region;
@synthesize duration = _duration;

-(CLLocationCoordinate2D)locationForCity:(NSString*)cityName {
    return CLLocationCoordinate2DMake(0, 0);
}

-(NSArray *)pricesToTravelFrom:(NSString*)fromCity to:(NSString*)toCity {
    return [NSArray array];
}

-(NSArray*)activitiesForType:(TSJourneyActivityType)activityType {
    if (activityType == TSActivityCultural) {
        return self.culturalActivities;
    }
    if (activityType == TSActivityBoth) {
        return self.comboActivities;
    }
    if (activityType == TSActivityMoney) {
        return self.moneyMakingActivities;
    }
    return [NSArray array];
}

-(TSMinigameType)minigameTypeForActivity:(NSString*)activity {
    return TSMinigameJustWatch;
}

-(NSString *)instructionStringForActivity:(NSString*)activity {
    return @"Sit back and relax.";
}

@end
