//
//  TSMinigameViewController.h
//  TravelSection
//
//  Created by Michael Herring on 12/17/11.
//  Copyright (c) 2011 Sun, Sea and Sky Factory. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "TSTappableImageView.h"
@interface TSMinigameViewController : UIViewController {
    NSMutableArray * _activeObjects;
    NSTimer * _timer;
}
@property (weak, nonatomic) IBOutlet UILabel *activityInfoLabel;
@property (weak, nonatomic) IBOutlet UIButton *finishButton;
@property (weak, nonatomic) IBOutlet UIImageView *backgroundImage;
@property (weak, nonatomic) IBOutlet UIImageView *characterImage;

- (IBAction)completeActivity:(id)sender;

-(void)beginTapIncomingGame;
-(void)beginJumpOverObjectsGame;
-(void)beginFlickItemsGame;
-(void)beginDodgeObjectsGame;
-(void)showFinishButton:(NSTimeInterval)withDelay;

@end
