//
//  TSReporter.h
//  TravelSection
//
//  Created by Michael Herring on 12/17/11.
//  Copyright (c) 2011 Sun, Sea and Sky Factory. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface TSReporter : NSObject

@property (readwrite, strong) NSString * characterName;
@property (readwrite, strong) NSString * currentCity;
@property (readwrite, assign) BOOL isFemale;
@property (readwrite, assign) NSUInteger hairColor;
@property (readwrite, assign) CGFloat creativity;
@property (readwrite, assign) CGFloat intelligence;
@property (readwrite, assign) CGFloat technology;
@property (readwrite, assign) CGFloat money;
@property (readwrite, assign) CGFloat culture;
@property (readwrite, assign) CGFloat experience;
@property (readwrite, assign) CGFloat stress;
@property (readonly) NSString * basename;
@property (readwrite, strong) NSDictionary * currentActivity;

-(UIImage*)stationaryImage;
-(NSArray*)walkCycleImages;
-(NSArray*)excitedImages;

@end
