//
//  TSAustralianJourney.m
//  TravelSection
//
//  Created by Michael Herring on 12/17/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "TSAustralianJourney.h"

@implementation TSAustralianJourney

-(id)init {
    self = [super init];
    if (self != nil) {
        //start with all the available activities.
        NSDictionary * taxiDictionary = [NSDictionary dictionaryWithObjectsAndKeys:
                                         @"Taxi Driver",@"ActivityName",
                                         [NSNumber numberWithFloat:150.00f],@"MoneyDelta",
                                         [NSNumber numberWithFloat:0.25f],@"TechnologyMultiplier",
                                         [NSNumber numberWithFloat:0.0f],@"TechnologyBonus",
                                         [NSNumber numberWithFloat:0.0f],@"CreativityMultiplier",
                                         [NSNumber numberWithFloat:0.0f],@"CreativityBonus",
                                         [NSNumber numberWithFloat:0.0f],@"IntelligenceMultiplier",
                                         [NSNumber numberWithFloat:0.0f],@"IntelligenceBonus",
                                         [NSNumber numberWithFloat:1.0f],@"CultureBonus",
                                         [NSNumber numberWithFloat:2.0f],@"ExperienceBonus",
                                         [NSNumber numberWithFloat:5.0f],@"StressBonus",
                                         nil];
        NSDictionary * baristaDictionary = [NSDictionary dictionaryWithObjectsAndKeys:
                                         @"Barista",@"ActivityName",
                                         [NSNumber numberWithFloat:100.00f],@"MoneyDelta",
                                         [NSNumber numberWithFloat:0.5f],@"TechnologyMultiplier",
                                         [NSNumber numberWithFloat:0.0f],@"TechnologyBonus",
                                         [NSNumber numberWithFloat:0.0f],@"CreativityMultiplier",
                                         [NSNumber numberWithFloat:0.0f],@"CreativityBonus",
                                         [NSNumber numberWithFloat:0.0f],@"IntelligenceMultiplier",
                                         [NSNumber numberWithFloat:0.0f],@"IntelligenceBonus",
                                         [NSNumber numberWithFloat:1.5f],@"CultureBonus",
                                         [NSNumber numberWithFloat:1.0f],@"ExperienceBonus",
                                         [NSNumber numberWithFloat:3.5f],@"StressBonus",
                                         nil];
        NSDictionary * barDictionary = [NSDictionary dictionaryWithObjectsAndKeys:
                                        @"Local Bar",@"ActivityName",
                                        [NSNumber numberWithFloat:150.00f],@"MoneyDelta",
                                        [NSNumber numberWithFloat:0.0f],@"TechnologyMultiplier",
                                        [NSNumber numberWithFloat:0.0f],@"TechnologyBonus",
                                        [NSNumber numberWithFloat:0.75f],@"CreativityMultiplier",
                                        [NSNumber numberWithFloat:0.0f],@"CreativityBonus",
                                        [NSNumber numberWithFloat:0.0f],@"IntelligenceMultiplier",
                                        [NSNumber numberWithFloat:0.0f],@"IntelligenceBonus",
                                        [NSNumber numberWithFloat:1.0f],@"CultureBonus",
                                        [NSNumber numberWithFloat:1.0f],@"ExperienceBonus",
                                        [NSNumber numberWithFloat:7.5f],@"StressBonus",
                                        nil];
        NSDictionary * footballDictionary = [NSDictionary dictionaryWithObjectsAndKeys:
                                        @"Aussie Football Game",@"ActivityName",
                                        [NSNumber numberWithFloat:-550.00f],@"MoneyDelta",
                                        [NSNumber numberWithFloat:0.0f],@"TechnologyMultiplier",
                                        [NSNumber numberWithFloat:0.0f],@"TechnologyBonus",
                                        [NSNumber numberWithFloat:0.0f],@"CreativityMultiplier",
                                        [NSNumber numberWithFloat:0.0f],@"CreativityBonus",
                                        [NSNumber numberWithFloat:0.0f],@"IntelligenceMultiplier",
                                        [NSNumber numberWithFloat:0.0f],@"IntelligenceBonus",
                                        [NSNumber numberWithFloat:10.0f],@"CultureBonus",
                                        [NSNumber numberWithFloat:5.0f],@"ExperienceBonus",
                                        [NSNumber numberWithFloat:-5.0f],@"StressBonus",
                                        nil];
        NSDictionary * wineDictionary = [NSDictionary dictionaryWithObjectsAndKeys:
                                        @"Wine Country Tour",@"ActivityName",
                                        [NSNumber numberWithFloat:-750.00f],@"MoneyDelta",
                                        [NSNumber numberWithFloat:0.0f],@"TechnologyMultiplier",
                                        [NSNumber numberWithFloat:0.0f],@"TechnologyBonus",
                                        [NSNumber numberWithFloat:0.0f],@"CreativityMultiplier",
                                        [NSNumber numberWithFloat:0.0f],@"CreativityBonus",
                                        [NSNumber numberWithFloat:0.0f],@"IntelligenceMultiplier",
                                        [NSNumber numberWithFloat:1.0f],@"IntelligenceBonus",
                                        [NSNumber numberWithFloat:10.0f],@"CultureBonus",
                                        [NSNumber numberWithFloat:2.0f],@"ExperienceBonus",
                                        [NSNumber numberWithFloat:-2.0f],@"StressBonus",
                                        nil];
        NSDictionary * cricketDictionary = [NSDictionary dictionaryWithObjectsAndKeys:
                                        @"Cricket Game",@"ActivityName",
                                        [NSNumber numberWithFloat:-250.00f],@"MoneyDelta",
                                        [NSNumber numberWithFloat:0.0f],@"TechnologyMultiplier",
                                        [NSNumber numberWithFloat:0.0f],@"TechnologyBonus",
                                        [NSNumber numberWithFloat:0.0f],@"CreativityMultiplier",
                                        [NSNumber numberWithFloat:0.0f],@"CreativityBonus",
                                        [NSNumber numberWithFloat:0.0f],@"IntelligenceMultiplier",
                                        [NSNumber numberWithFloat:0.5f],@"IntelligenceBonus",
                                        [NSNumber numberWithFloat:15.0f],@"CultureBonus",
                                        [NSNumber numberWithFloat:10.0f],@"ExperienceBonus",
                                        [NSNumber numberWithFloat:-5.0f],@"StressBonus",
                                        nil];
        NSDictionary * beachDictionary = [NSDictionary dictionaryWithObjectsAndKeys:
                                        @"Beach",@"ActivityName",
                                        [NSNumber numberWithFloat:-100.00f],@"MoneyDelta",
                                        [NSNumber numberWithFloat:0.0f],@"TechnologyMultiplier",
                                        [NSNumber numberWithFloat:0.0f],@"TechnologyBonus",
                                        [NSNumber numberWithFloat:0.0f],@"CreativityMultiplier",
                                        [NSNumber numberWithFloat:0.0f],@"CreativityBonus",
                                        [NSNumber numberWithFloat:0.0f],@"IntelligenceMultiplier",
                                        [NSNumber numberWithFloat:0.0f],@"IntelligenceBonus",
                                        [NSNumber numberWithFloat:5.0f],@"CultureBonus",
                                        [NSNumber numberWithFloat:20.0f],@"ExperienceBonus",
                                        [NSNumber numberWithFloat:-10.0f],@"StressBonus",
                                        nil];
        NSDictionary * zooDictionary = [NSDictionary dictionaryWithObjectsAndKeys:
                                        @"Visit The Zoo",@"ActivityName",
                                        [NSNumber numberWithFloat:-75.00f],@"MoneyDelta",
                                        [NSNumber numberWithFloat:0.0f],@"TechnologyMultiplier",
                                        [NSNumber numberWithFloat:0.0f],@"TechnologyBonus",
                                        [NSNumber numberWithFloat:0.0f],@"CreativityMultiplier",
                                        [NSNumber numberWithFloat:0.0f],@"CreativityBonus",
                                        [NSNumber numberWithFloat:0.0f],@"IntelligenceMultiplier",
                                        [NSNumber numberWithFloat:2.0f],@"IntelligenceBonus",
                                        [NSNumber numberWithFloat:5.0f],@"CultureBonus",
                                        [NSNumber numberWithFloat:15.0f],@"ExperienceBonus",
                                        [NSNumber numberWithFloat:-2.0f],@"StressBonus",
                                        nil];
        NSDictionary * lifeguardDictionary = [NSDictionary dictionaryWithObjectsAndKeys:
                                        @"Assistant Lifeguard",@"ActivityName",
                                        [NSNumber numberWithFloat:150.00f],@"MoneyDelta",
                                        [NSNumber numberWithFloat:0.0f],@"TechnologyMultiplier",
                                        [NSNumber numberWithFloat:0.0f],@"TechnologyBonus",
                                        [NSNumber numberWithFloat:0.75f],@"CreativityMultiplier",
                                        [NSNumber numberWithFloat:0.0f],@"CreativityBonus",
                                        [NSNumber numberWithFloat:0.0f],@"IntelligenceMultiplier",
                                        [NSNumber numberWithFloat:0.0f],@"IntelligenceBonus",
                                        [NSNumber numberWithFloat:1.0f],@"CultureBonus",
                                        [NSNumber numberWithFloat:1.0f],@"ExperienceBonus",
                                        [NSNumber numberWithFloat:7.5f],@"StressBonus",
                                        nil];
        
        _moneyMakingActivities = [NSArray arrayWithObjects:taxiDictionary,barDictionary,baristaDictionary, nil];
        _culturalActivities = [NSArray arrayWithObjects:footballDictionary,wineDictionary,cricketDictionary,beachDictionary,zooDictionary, nil];
        _comboActivities = [NSArray arrayWithObjects:lifeguardDictionary, nil];
        
        //set up city names and Connections.
        _startingCity = @"Perth";
        _destinationCity = @"Brisbane";
        _cityConnections = [NSDictionary dictionaryWithObjectsAndKeys:
                            [NSArray arrayWithObjects:@"Alice Springs", @"Adelaide", nil], @"Perth",
                            [NSArray arrayWithObjects:@"Adelaide", @"Brisbane", nil], @"Alice Springs",
                            [NSArray arrayWithObjects:@"Melbourne", @"Sydney", nil], @"Adelaide",
                            [NSArray arrayWithObjects:@"Sydney", @"Brisbane", nil], @"Melbourne",
                            [NSArray arrayWithObjects:@"Brisbane", nil], @"Sydney",
                            [NSArray array], @"Brisbane",
                            nil];
        
        CLLocationCoordinate2D centerCoord = CLLocationCoordinate2DMake(-32, 135);
        MKCoordinateSpan coordSpan = MKCoordinateSpanMake(20.0, 20.0);
        _region = MKCoordinateRegionMake(centerCoord, coordSpan);
        
        _duration = 30;
    }
    return self;
}

-(CLLocationCoordinate2D)locationForCity:(NSString*)cityName {
    if ([cityName isEqualToString:@"Perth"]) {
        return CLLocationCoordinate2DMake(-23.70021,133.880611);
    }
    if ([cityName isEqualToString:@"Alice Springs"]) {
        return CLLocationCoordinate2DMake(-31.952818,115.857353);
    }
    if ([cityName isEqualToString:@"Adelaide"]) {
        return CLLocationCoordinate2DMake(-31.952854,115.857339);
    }
    if ([cityName isEqualToString:@"Melbourne"]) {
        return CLLocationCoordinate2DMake(-34.928726,138.599945);
    }
    if ([cityName isEqualToString:@"Sydney"]) {
        return CLLocationCoordinate2DMake(-37.813187,144.96298);
    }
    if ([cityName isEqualToString:@"Brisbane"]) {
        return CLLocationCoordinate2DMake(-33.873651,151.20689);
    }
    return [super locationForCity:cityName];
}

-(NSArray*)pricesToTravelFrom:(NSString*)fromCity to:(NSString*)toCity {
    if ([fromCity isEqualToString:@"Perth"]) {
        if ([toCity isEqualToString:@"Alice Springs"]) {
            return [NSArray arrayWithObjects:
                    [NSDictionary dictionaryWithObjectsAndKeys:
                     @"Train",@"TravelMethod",
                     [NSNumber numberWithFloat:-500.0f],@"MoneyDelta",
                     [NSNumber numberWithInt:3],@"Days", nil],
                    [NSDictionary dictionaryWithObjectsAndKeys:
                     @"Plane",@"TravelMethod",
                     [NSNumber numberWithFloat:-1250.0f],@"MoneyDelta",
                     [NSNumber numberWithInt:1],@"Days", nil],
                    nil];
        }
        if ([toCity isEqualToString:@"Adelaide"]) {
            return [NSArray arrayWithObjects:
                    [NSDictionary dictionaryWithObjectsAndKeys:
                     @"Train",@"TravelMethod",
                     [NSNumber numberWithFloat:-550.0f],@"MoneyDelta",
                     [NSNumber numberWithInt:4],@"Days", nil],
                    [NSDictionary dictionaryWithObjectsAndKeys:
                     @"Plane",@"TravelMethod",
                     [NSNumber numberWithFloat:-2500.0f],@"MoneyDelta",
                     [NSNumber numberWithInt:1],@"Days", nil],
                    [NSDictionary dictionaryWithObjectsAndKeys:
                     @"Boat",@"TravelMethod",
                     [NSNumber numberWithFloat:-250.0f],@"MoneyDelta",
                     [NSNumber numberWithInt:6],@"Days", nil],
                    nil];
        }
    }
    if ([fromCity isEqualToString:@"Alice Springs"]) {
        if ([toCity isEqualToString:@"Brisbane"]) {
            return [NSArray arrayWithObjects:
                    [NSDictionary dictionaryWithObjectsAndKeys:
                     @"Train",@"TravelMethod",
                     [NSNumber numberWithFloat:-500.0f],@"MoneyDelta",
                     [NSNumber numberWithInt:3],@"Days", nil],
                    [NSDictionary dictionaryWithObjectsAndKeys:
                     @"Plane",@"TravelMethod",
                     [NSNumber numberWithFloat:-1250.0f],@"MoneyDelta",
                     [NSNumber numberWithInt:1],@"Days", nil],
                    nil];
        }
        if ([toCity isEqualToString:@"Adelaide"]) {
            return [NSArray arrayWithObjects:
                    [NSDictionary dictionaryWithObjectsAndKeys:
                     @"Train",@"TravelMethod",
                     [NSNumber numberWithFloat:-550.0f],@"MoneyDelta",
                     [NSNumber numberWithInt:2],@"Days", nil],
                    [NSDictionary dictionaryWithObjectsAndKeys:
                     @"Plane",@"TravelMethod",
                     [NSNumber numberWithFloat:-1250.0f],@"MoneyDelta",
                     [NSNumber numberWithInt:1],@"Days", nil],
                    nil];
        }
    }
    if ([fromCity isEqualToString:@"Adelaide"]) {
        if ([toCity isEqualToString:@"Melbourne"]) {
            return [NSArray arrayWithObjects:
                    [NSDictionary dictionaryWithObjectsAndKeys:
                     @"Train",@"TravelMethod",
                     [NSNumber numberWithFloat:-500.0f],@"MoneyDelta",
                     [NSNumber numberWithInt:3],@"Days", nil],
                    [NSDictionary dictionaryWithObjectsAndKeys:
                     @"Plane",@"TravelMethod",
                     [NSNumber numberWithFloat:-1250.0f],@"MoneyDelta",
                     [NSNumber numberWithInt:1],@"Days", nil],
                    nil];
        }
        if ([toCity isEqualToString:@"Sydney"]) {
            return [NSArray arrayWithObjects:
                    [NSDictionary dictionaryWithObjectsAndKeys:
                     @"Train",@"TravelMethod",
                     [NSNumber numberWithFloat:-150.0f],@"MoneyDelta",
                     [NSNumber numberWithInt:1],@"Days", nil],
                    [NSDictionary dictionaryWithObjectsAndKeys:
                     @"Plane",@"TravelMethod",
                     [NSNumber numberWithFloat:-250.0f],@"MoneyDelta",
                     [NSNumber numberWithInt:1],@"Days", nil],
                    nil];
        }
    }
    if ([fromCity isEqualToString:@"Melbourne"]) {
        if ([toCity isEqualToString:@"Sydney"]) {
            return [NSArray arrayWithObjects:
                    [NSDictionary dictionaryWithObjectsAndKeys:
                     @"Train",@"TravelMethod",
                     [NSNumber numberWithFloat:-650.0f],@"MoneyDelta",
                     [NSNumber numberWithInt:2],@"Days", nil],
                    [NSDictionary dictionaryWithObjectsAndKeys:
                     @"Plane",@"TravelMethod",
                     [NSNumber numberWithFloat:-1250.0f],@"MoneyDelta",
                     [NSNumber numberWithInt:1],@"Days", nil],
                    [NSDictionary dictionaryWithObjectsAndKeys:
                     @"Boat",@"TravelMethod",
                     [NSNumber numberWithFloat:-250.0f],@"MoneyDelta",
                     [NSNumber numberWithInt:3],@"Days", nil],
                    nil];
        }
        if ([toCity isEqualToString:@"Brisbane"]) {
            return [NSArray arrayWithObjects:
                    [NSDictionary dictionaryWithObjectsAndKeys:
                     @"Train",@"TravelMethod",
                     [NSNumber numberWithFloat:-550.0f],@"MoneyDelta",
                     [NSNumber numberWithInt:3],@"Days", nil],
                    [NSDictionary dictionaryWithObjectsAndKeys:
                     @"Plane",@"TravelMethod",
                     [NSNumber numberWithFloat:-1500.0f],@"MoneyDelta",
                     [NSNumber numberWithInt:1],@"Days", nil],
                    nil];
        }
    }
    if ([fromCity isEqualToString:@"Sydney"]) {
        if ([toCity isEqualToString:@"Brisbane"]) {
            return [NSArray arrayWithObjects:
                    [NSDictionary dictionaryWithObjectsAndKeys:
                     @"Train",@"TravelMethod",
                     [NSNumber numberWithFloat:-500.0f],@"MoneyDelta",
                     [NSNumber numberWithInt:2],@"Days", nil],
                    [NSDictionary dictionaryWithObjectsAndKeys:
                     @"Plane",@"TravelMethod",
                     [NSNumber numberWithFloat:-1000.0f],@"MoneyDelta",
                     [NSNumber numberWithInt:1],@"Days", nil],
                    [NSDictionary dictionaryWithObjectsAndKeys:
                     @"Boat",@"TravelMethod",
                     [NSNumber numberWithFloat:-250.0f],@"MoneyDelta",
                     [NSNumber numberWithInt:3],@"Days", nil],
                    nil];
        }
    }
    return [super pricesToTravelFrom:fromCity to:toCity];
}

-(TSMinigameType)minigameTypeForActivity:(NSString*)activity {
    if ([activity isEqualToString:@"Wine Country Tour"]) {
        return TSMinigameTapIncomingItems;
    }
/*    if ([activity isEqualToString:@"Taxi Driver"]) {
        return TSMinigameDodgeOncomingObjects;
    }
    if ([activity isEqualToString:@"Barista"]) {
        return TSMinigameFlickItemsOutward;
    }
    if ([activity isEqualToString:@"Visit The Zoo"]) {
        return TSMinigameJumpOverOncomingObjects;
    }
    if ([activity isEqualToString:@"Assistant Lifeguard"]) {
        return TSMinigameFlickItemsOutward;
    }*/
    return TSMinigameJustWatch;
}

-(NSString *)instructionStringForActivity:(NSString*)activity {
    if ([activity isEqualToString:@"Wine Country Tour"]) {
        return @"Drink the wines before they fly past you!";
    }
    if ([activity isEqualToString:@"Taxi Driver"]) {
        return @"A weird job for a journalist, but it pays the bills!";
    }
    if ([activity isEqualToString:@"Barista"] || [activity isEqualToString:@"Local Bar"]) {
        return @"A hectic day, but made good money!";
    }
    if ([activity isEqualToString:@"Visit The Zoo"]) {
        return @"The zoo had lots of unique and interesting animals.";
    }
    if ([activity isEqualToString:@"Assistant Lifeguard"]) {
        return @"You took care of the swimmers all day.";
    }
    return [NSString stringWithFormat:@"Enjoy a relaxing day at the %@",activity];
}


@end
